﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SmartX;

namespace TechNote15_DateTimeSetting_CS
{
    public partial class MainForm : Form
    {
        public DateTimeSetting m_frmDateTimeSettingForm;

        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            smartForm1.MainForm = this;
        }

        private void btnCallDateTime_Click(object sender, EventArgs e)
        {
            // DateTimeSetting 인스턴싱
            m_frmDateTimeSettingForm = new DateTimeSetting();

            // DateTimeSetting Dialog 출력
            m_frmDateTimeSettingForm.ShowDialog();

            // DateTimeSetting Dialog의 결과가 OK일 경우
            if (m_frmDateTimeSettingForm.DialogResult == DialogResult.OK)
            {
                DATETIMEINFOS dateTimeInfo = m_frmDateTimeSettingForm.DateTimeInfo;

                // 전달받은 결과값 적용
                labYear.Text = dateTimeInfo.strYear;
                labMonth.Text = dateTimeInfo.strMonth;
                labDate.Text = dateTimeInfo.strDate;
                labHour.Text = dateTimeInfo.strHour;
                labMinute.Text = dateTimeInfo.strMinute;
                labSecond.Text = dateTimeInfo.strSecond;
            }
        }
    }
}